@echo OFF
REM Licensed Materials - Property of IBM
REM OCO Source Materials
REM 09N6996
REM (C) Copyright IBM Corp. 2007 All Rights Reserved
REM The source code for this program is not published or other-
REM wise divested of its trade secrets, irrespective of what has
REM been deposited with the U.S. Copyright Office.

if "%1" == "-h" ( 
echo "Syntax: smreset [-h | -? | --help] [-l]"
echo "where -h | --help | -? prints the help message."
echo "where -l displays the log messages on console."
echo "smreset command uses TPM's program to reset the database."
exit /b 0
) 

if "%1" == "-?" ( 
echo "Syntax: smreset [-h | -? | --help] [-l]"
echo "where -h | --help | -? prints the help message."
echo "where -l displays the log messages on console."
echo "smreset command uses TPM's program to reset the database."
exit /b 0
) 

if "%1" == "--help" ( 
echo "Syntax: smreset [-h | -? | --help] [-l]"
echo "where -h | --help | -? prints the help message."
echo "where -l displays the log messages on console."
echo "smreset command uses TPM's program to reset the database."
exit /b 0
) 


if ""%1""==""""  goto doneSetArgs

 
if "%1" == "-l"  goto doneSetArgs
) else (
echo Invalid arguments passed 
echo Please type "smreset -h" to get more help.
exit /b 0
)


:doneSetArgs
setlocal
REM something eats the directory stack, so we have to memorize instead. (no pushd)
set USERDIR=%CD%
set BINDIR=%~d0%~p0
cd /d %BINDIR%
set DIRECTOR_HOME=%~d0%~p0..\
call "%DIRECTOR_HOME%\lwi\bin\setupCmdLine.bat"
set CURRENTDIR=%~d0%~p0
set ROOTDIR=%~d0%~p0..\
set LOGFILE=%ROOTDIR%log\reset.log

REM clean up the log, if any
echo "" > "%LOGFILE%"

REM Check to see if we are running, if we are, bail
call "%DIRECTOR_HOME%\lwi\bin\lwistatus" > usmsstatus
find "INACTIVE" < usmsstatus > nul
if errorlevel 1 goto isrunning

"%JAVA_PROGRAM%" -cp "%DIRECTOR_HOME%\lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_1.0.0\classes;%DIRECTOR_HOME%\lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_1.0.0\classes\USMSPersTools.jar" com.ibm.usmi.kernel.persistence.USMSReset -log "%LOGFILE%"
if errorlevel 1 goto interupt

echo Non-DB portion of Reset Complete >> "%LOGFILE%"

REM Clean up the Database using TPM's tool
set PROFILENAME=%ROOTDIR%tpm\config\initProfile.xml

if "%1"=="-l" (
@echo ON
call cfgdbcmd.cmd -profile "%PROFILENAME%" -noPrompt true
@echo OFF
) else (
call cfgdbcmd.cmd -profile "%PROFILENAME%" -noPrompt true >> "%LOGFILE%" 2>&1
)
if errorlevel 1 goto interupt

REM was there an error message?
if exist message.txt type message.txt
if exist message.txt del message.txt > nul 2>&1

REM now clean up the profile if plugin didn't
del usmsstatus >nul 2>&1
cd %USERDIR%
exit /b 0
	
:isrunning
del usmsstatus >nul 2>&1
"%JAVA_PROGRAM%" -cp "%DIRECTOR_HOME%\lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_1.0.0\classes;%DIRECTOR_HOME%\lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_1.0.0\classes\USMSPersTools.jar" com.ibm.usmi.kernel.persistence.USMSReset isrunning
REM was there an error message?
if exist message.txt type message.txt
if exist message.txt del message.txt > nul 2>&1
cd %USERDIR%
exit /b 1
 
:interupt
cd "%BINDIR%"
if exist message.txt del message.txt > nul 2>&1
"%JAVA_PROGRAM%" -cp "%DIRECTOR_HOME%\lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_1.0.0\classes;%DIRECTOR_HOME%\lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_1.0.0\classes\USMSPersTools.jar" com.ibm.usmi.kernel.persistence.USMSReset failed
if exist message.txt type message.txt
if exist message.txt del message.txt > nul 2>&1
exit /b 1