@echo OFF
REM Licensed Materials - Property of IBM
REM OCO Source Materials
REM 09N6996
REM (C) Copyright IBM Corp. 2007 All Rights Reserved
REM The source code for this program is not published or other-
REM wise divested of its trade secrets, irrespective of what has
REM been deposited with the U.S. Copyright Office.

REM this batch program uses TPM's backup program to
REM execute a save of the database and the data directory

if "%1" == "-h" ( 
echo "Syntax: smrestore [-h | -? | --help]"
echo "where -h | --help | -? prints the help message."
echo "smrestore command uses TPM's restore program to restore the database."
exit /b 0
) 

if "%1" == "-?" ( 
echo "Syntax: smrestore [-h | -? | --help]"
echo "where -h | --help | -? prints the help message."
echo "smrestore command uses TPM's restore program to restore the database."
exit /b 0
) 

if "%1" == "--help" ( 
echo "Syntax: smrestore [-h | -? | --help]"
echo "where -h | --help | -? prints the help message."
echo "smrestore command uses TPM's restore program to restore the database."
exit /b 0
) 


pushd
cd /d %0\..
set DIRECTOR_HOME=%~d0%~p0..\
REM set up the command line
call "%DIRECTOR_HOME%\lwi\bin\setupCmdLine.bat"

REM Check to see if we are running, if we are, bail
call "%DIRECTOR_HOME%\lwi\bin\lwistatus" > usmsstatus
find "INACTIVE" < usmsstatus > nul
if errorlevel 1 goto isrunning

REM setup our dirs
set CURRENTDIR=%~d0%~p0
set TPMTOOLSDIR=%CURRENTDIR%\..\tpm\tools

REM Stop the Agent
call "%DIRECTOR_HOME%\agent\runtime\agent\bin\endpoint.bat" stop

REM Need to run smreset first
call smreset -l

REM execute the restore !
cd %TPMTOOLSDIR%
@echo on
call restore -sourceDir "%CURRENTDIR%..\backup"  -noPrompt true %* 
@echo off
cd %CURRENTDIR%

REM restore Agent configuration and certificates
xcopy /R /K /Y /E "%DIRECTOR_HOME%\casbackup\agent\cert\*" "%DIRECTOR_HOME%\agent\runtime\agent\cert\"
xcopy /R /K /Y /E "%DIRECTOR_HOME%\casbackup\agent\config\*" "%DIRECTOR_HOME%\agent\runtime\agent\config\"

REM restore  Agent Manager configuration and data
del "%DIRECTOR_HOME%\lwi\runtime\core\DATABASE\IBMCDB\." /S /Q
xcopy /R /K /Y /E "%DIRECTOR_HOME%\casbackup\am\IBMCDB\*" "%DIRECTOR_HOME%\lwi\runtime\core\DATABASE\IBMCDB\"
cd "%DIRECTOR_HOME%\lwi\runtime\agentmanager\adapter\bin"
call adapter.bat -data "%DIRECTOR_HOME%\casbackup\am\ambackup.zip" "%DIRECTOR_HOME%\lwi\runtime"
cd %CURRENTDIR%

REM now clean up 
call "%DIRECTOR_HOME%\agent\runtime\agent\bin\endpoint.bat" start
del "%DIRECTOR_HOME%\casbackup\." /S /Q
del usmsstatus >nul 2>&1
popd
exit /b 0

:isrunning
del usmsstatus >nul 2>&1
REM get the translated message....  through java this time.
"%JAVA_PROGRAM%" -cp "%DIRECTOR_HOME%\lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_1.0.0\classes;%DIRECTOR_HOME%\lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_1.0.0\classes\USMSPersTools.jar" com.ibm.usmi.kernel.persistence.USMSReset isrunning
REM was there a message?
if exist message.txt type message.txt
if exist message.txt del message.txt > nul 2>&1
popd
exit /b 1


